@each $color in map-keys($usableColors) {
  .ht-spinner-#{$color} {
    margin: 60px auto;
    font-size: 10px;
    position: relative;
    text-indent: -9999em;
    border-top: .6em solid rgba(map-get($usableColors, $color), 0.2);
    border-right: .6em solid rgba(map-get($usableColors, $color), 0.2);
    border-bottom: .6em solid rgba(map-get($usableColors, $color), 0.2);
    border-left: .6em solid map-get($usableColors, $color);
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-animation: load8 1.1s infinite linear;
    animation: load8 1.1s infinite linear;
  }
  .ht-spinner-#{$color}, .ht-spinner-#{$color}:after{
    border-radius: 50%;
    width: 4em;
    height: 4em;
    opacity: 0;
    transition: opacity 0.2s ease-in-out;
  }
}

.ht-spinner-show {
  opacity: 1 !important;
}
@-webkit-keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
